function [ out ] = etwidinv(k,tbar,e0,e1)
%Computes inverse of e-twiddle going forward from time tbar
%See online appendix for derivation
    if(tbar>=.5)
        out = (2*e0-e1-k)/(2*(e0-e1)) -tbar;
    end
    if(tbar<.5)
        if(e0-(1-2*tbar)*(e0-e1)<= k)
            out=(e0-k)/(e0-e1);
        end
        if(e0-(1-2*tbar)*(e0-e1)>k)
            out=(2*e0-e1-k)/(2*(e0-e1)) -tbar;
        end
    end
end

